Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceDestinationDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceDestination>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceDestination>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceDestinationDao

public class VoiceDestinationDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceDestination>
Даошка для работы с направлениями модуля Voice. Позволяет добавлять/изменять, удалять, получать одно или список направлений. Используется в т.ч. системой справочников.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `VOICE_DESTINATION_TABLE`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceDestinationDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(List<Integer> idList)`
  Удаление списка направлений, указанных в виде списка id направлений.
  `VoiceDestination`
  `get(String title)`
  Получение одного конкретного направления по его названию с учетом полного совпадения названия.
  `protected VoiceDestination`
  `getFromRS(ResultSet rs)`
  `Map<Integer,VoiceDestination>`
  `idMap(int operatorId)`
  `List<VoiceDestination>`
  `list(int operatorId, String title, boolean addLinkCount, Page page)`
  Получение списка направлений оператора.
  `List<IdTitle>`
  `list(List<Integer> destIds)`
  `void`
  `searchDestination(SearchResult<VoiceDestination> searchResult, int operatorId, String title, boolean addLinkCount)`
  `Map<String,VoiceDestination>`
  `titleMap(int operatorId)`
  Справочник направлений в виде мапа "название = бин направления"
  `protected void`
  `updateImpl(VoiceDestination voiceDestination)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VOICE_DESTINATION_TABLE

    public static final String VOICE_DESTINATION_TABLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceDestinationDao

    public VoiceDestinationDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceDestination getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceDestination>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceDestination voiceDestination) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceDestination>`
    Throws:
      `SQLException`

  - ### titleMap

    public Map<String,VoiceDestination> titleMap(int operatorId) throws SQLException
    Справочник направлений в виде мапа "название = бин направления"
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### idMap

    public Map<Integer,VoiceDestination> idMap(int operatorId) throws SQLException
    Throws:
      `SQLException`

  - ### searchDestination

    public void searchDestination(SearchResult<VoiceDestination> searchResult, int operatorId, String title, boolean addLinkCount) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<IdTitle> list(List<Integer> destIds) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<VoiceDestination> list(int operatorId, String title, boolean addLinkCount, Page page) throws SQLException
    Получение списка направлений оператора. Если параметр operatorId не задан, то
    Parameters:
      `operatorId` -
      `page` - текущая страница в клиенте
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### delete

    public int delete(List<Integer> idList) throws SQLException
    Удаление списка направлений, указанных в виде списка id направлений.
    Parameters:
      `idList` - список id направлений
    Returns:
      число удаленных строк из БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### get

    public VoiceDestination get(String title) throws SQLException
    Получение одного конкретного направления по его названию с учетом полного совпадения названия.
    Parameters:
      `title` - название искомого направления
    Returns:
      направление
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`